org.apache.hadoop.yarn.server.federation.store.exception

## Class FederationStateStoreInvalidInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hadoop.yarn.exceptions.YarnException
      - - org.apache.hadoop.yarn.server.federation.store.exception.FederationStateStoreInvalidInputException

- All Implemented Interfaces:
    Serializable

      public class FederationStateStoreInvalidInputException
      extends org.apache.hadoop.yarn.exceptions.YarnException

  Exception thrown by the `FederationMembershipStateStoreInputValidator`, `FederationApplicationHomeSubClusterStoreInputValidator`, `FederationPolicyStoreInputValidator` if the input is invalid.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederationStateStoreInvalidInputException(String message)`
    `FederationStateStoreInvalidInputException(String message, Throwable cause)`
    `FederationStateStoreInvalidInputException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FederationStateStoreInvalidInputException

          public FederationStateStoreInvalidInputException(Throwable cause)

    - #### FederationStateStoreInvalidInputException

          public FederationStateStoreInvalidInputException(String message)

    - #### FederationStateStoreInvalidInputException

          public FederationStateStoreInvalidInputException(String message,
                                                           Throwable cause)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.